<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>WYSIWYM</title>
        <link rel="stylesheet" href="../css/styles.css" />
    </head>
    <body epub:type="chapter">
        <h1>WYSIWYM</h1>
        <p>El principal flujo de trabajo implicado en la edición de publicaciones no se encuentra exento de críticas. Al ser un método de producción altamente dependiente del enfoque WYSIWYG, un problema recurrente en la edición digital es la lucha a favor de la uniformidad en los estilos. El descuido durante este método puede acarrear inconsistencias en la publicación que van en detrimento del cuidado editorial. Ejemplos de esto pueden ser:</p>
        <ul>
            <li>Errores de estilo, como encabezados con la misma jerarquía pero con distinto tamaño de fuente, interlineado, tamaño de márgenes, etcétera.</li>
            <li>Errores ortotipográficos, como párrafos con justificación forzada.</li>
            <li>Errores en la creación de tablas de contenidos, referencias cruzadas o compaginación.</li>
        </ul>
        <p>Con el fin de solventar este problema surgió el enfoque <a href="https://es.wikipedia.org/wiki/WYSIWYM">WYSIWYM</a>, acrónimo de <em>What You See Is What You Mean</em>. Con esto no solo se hace patente una oposición al enfoque WYSIWYG, sino un retorno a los lenguajes de marcado para la estructuración semántica del contenido. Las diferencias entre el enfoque WYSIWYM y los lenguajes de marcado son que:</p>
        <ol>
            <li>el marcaje, aunque afecta el aspecto de un texto, tiene la función de segmentar la información de una manera adecuada y significativa para las herramientas de <em>software</em>, el editor y el lector, y</li>
            <li>la utilización de un editor gráfico, semejante al procesador de texto, que disminuye drásticamente la curva de aprendizaje.</li>
        </ol>
        <p>El equipo de desarrollo de <a href="https://es.wikipedia.org/wiki/LyX">LyX</a> fue el que propuso este enfoque cuando creó este programa de edición gráfica con LaTeX, en 1999.</p>
        <figure>
            <img src="../img/interiores/lyx.jpg" />
            <figcaption>Figura 8. Entorno de trabajo de LyX. Fuente: <a href="https://commons.wikimedia.org/wiki/File:LyXScreen_Linux_en.png">Wikimedia Commons</a>.</figcaption>
        </figure>
        <p>Para usuarios que no han tenido contacto con los lenguajes de marcado, como lo es la mayoría de los escritores y editores, esta herramienta puede resultar aún muy compleja. Por eso quizá una alternativa más acorde a este contexto es el empleo de un <a href="https://es.wikipedia.org/wiki/Lenguaje_de_marcas_ligero">lenguaje de marcas ligero</a>. La diferencia entre un lenguaje «tradicional» de marcado y uno ligero es que este último tiene una sintaxis de etiquetas más simple y limpia, que resulta más fácil de aprender. Una propuesta en este sentido puede ser <a href="http://nestededitor.sourceforge.net/about.html">Nested Editor</a>, publicado en 2011.</p>
        <figure>
            <img src="../img/interiores/nestededitor.jpg" />
            <figcaption>Figura 9. Entorno de trabajo de Nested Editor. Fuente: <a href="http://nestededitor.sourceforge.net/media/images/nested.png">Nested Editor</a>.</figcaption>
        </figure>
        <p>Como es de observarse, el fin del milenio no solo fue importante para la edición por el desarrollo de un ciclo de trabajo exclusivamente con herramientas digitales, sino también por la propuesta de un nuevo enfoque para el quehacer editorial que, pese a ser actualmente minoritario, puede ser la clave para el futuro de la edición digital.</p>
    </body>
</html>
